<%@ Import Namespace="System.Xml.XPath" %>
<%@ Import Namespace="System.Xml" %>

<HTML>
  <HEAD>

<script language="c#" runat=server>
 [System.Web.Services.WebServiceBindingAttribute(Name="HelloWorldSoap", Namespace="http://tempuri.org/")]
 public class HelloWorld : System.Web.Services.Protocols.SoapHttpClientProtocol {
    
    public HelloWorld() {
        this.Url = "http://localhost/code/WebService/SoapExtensions/EncryptionExtension/Server/HelloWorld.asmx";
    }
    
    [TraceExtension(Filename = @"c:\soap-client.log")]
    [EncryptionExtension(Decrypt=DecryptMode.None)]
    [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/SayHello", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
    public string SayHello() {
        object[] results = this.Invoke("SayHello", new object[0]);
        return ((string)(results[0]));
    }
  }

  public void Page_Load() {
    HelloWorld w = new HelloWorld();
    Response.Write(w.SayHello());
  }
</script>
</HEAD>
<BODY>
<P>&nbsp;</P></BODY>
</HTML>
